Set a Deployment's resource metadata
- POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/metadata/raw
Advanced use only. Sets the internal metadata, in free-form JSON, for the resource. Only use the parameter to set the modified JSON that is returned from the get version of the metadata.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
resource_kindrequired -
The kind of resource
-
Values:
elasticsearchkibanaapmappsearchenterprise_searchintegrations_server -
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Query Parameters
-
versionstring If specified, checks for conflicts against the metadata version (returned in 'x-cloud-resource-version' of the GET request)
Request
The freeform JSON for the cluster (should always be based on the current version retrieved from the GET)
Type: string
Responses
The resource metadata was successfully changed (the updated JSON is returned)
Response Type: string
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
The metadata is invalid. (code: deployments.invalid_metadata)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The metadata names an identity field that only a platform administrator may set. (code: clusters.restricted_field)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Please retry. (code: deployments.metadata_internal_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.metadata_internal_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response